import request from '@/utils/request'

export function listtask(params) {
  return request({
    url: '/api/admin/equipment/index',
    method: 'get',
    params:params
  })
}

export function store(data) {
  return request({
    url: '/api/admin/equipment/store',
    method: 'post',
    data
  })
}

export function save(data) {
  return request({
    url: '/api/admin/equipment/save',
    method: 'post',
    data
  })
}

export function del(id) {
  return request({
    url: '/api/admin/equipment/destroy',
    method: 'get',
    params: {
      id
    }
  })
}

export function get(id) {
  return request({
    url: '/api/admin/equipment/show',
    method: 'get',
    params: {
      id
    }
  })
}

export function maintains(data) {
  return request({
    url: '/api/admin/equipment/maintains',
    method: 'post',
    data
  })
}
